﻿@model IEnumerable<NewsFeed.Domain.DTO.FeedsUserDTO>

@{
    ViewData["Title"] = "Index";
}

<h2>Index</h2>

<p>
    <a asp-action="Create">Create New</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.UserId)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.FirstName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.LastName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.AspNetUserId)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.UserId)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.FirstName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.LastName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.AspNetUserId)
            </td>
            <td>
                @Html.ActionLink("Edit", "Edit", new {  id = item.UserId }) |
                @Html.ActionLink("Details", "Details", new {  id = item.UserId }) |
                @Html.ActionLink("Delete", "Delete", new {  id = item.UserId })
            </td>
        </tr>
}
    </tbody>
</table>
